Welcome to the PiMP Mining Community Forum.


Coin/crypto news, miner.farm and getpimp.org announcements, guides, and tips.


Insufficient CUDA driver 9010



  • Hey what's up guys,

    I'm having trouble mining some Ethereum.
    After running ''sudo apt-get upgrade'', ''sudo-apt-get update'' and ''pimpup'' on the version 2.6 of PIMP OS, the miner doesn't want to start.

    Here's the error message I'm having in the console after running ''pimp --debug 1'':

         ethminer 0.18.0-alpha.1-1+commit.2a74aa27     
         Build: linux/release/gnu
    
         CUDA Error : Insufficient CUDA driver 9010
         Error: No usable mining devices found
    

    If I run the command ''nvcc --version'' inthe console, here's what I have:

         nvcc: NVIDIA (R) Cuda compiler driver
         Copyright (c) 2005-2017 NVIDIA Corporation
         Built on Fri_Nov__3_21:07:56_CDT_2017
         Cuda compilation tools, release 9.1, V9.1.85    
    

    From my understanding , I need to upgrade Cuda to 9.2 ?
    Not sure if I'm right. If so, what are the commands to use in the console ?

    I don't know if it can help, here's what I have after running ''uname -a'':

          Linux pimp2 4.16.0-pimp-stromboli #3 SMP Fri Apr 13 17:35:15 EDT 2018 x86_64     
          x86_64 x86_64 GNU/Linux
    

    Thanks !!


  • Staff

    Hello laroche, PiMP 2.6 contains CUDA 9.1. ethminer you are trying to run requires CUDA 9.2. So most likely you would want to (in the recommended order):
    a) download and re-image your rig using PiMP 2.8.6 which has CUDA 9.2 and CUDA 9.1,
    b) restore the backup (older) ethminer, with: cd /opt/miners; mv ethminer ethminer.new; mv ethminer.backup ethminer
    c) Use a different miner, like claymore-dual, for this rig.

    Note: We are still building against cuda 9.1 where available, to allow pimps more time to reimage to 2.8.6 (t-rex, z-enemy, etc.) but some miners abandoned CUDA 9.1 support (bminer 10.5.0 and newer) - this cannot be helped. You want the latest coins/algos/miners - you will have to run the latest PIMP that supports it.

    2nd Note: We are doing our best to alleviate the pain point of reimaging as much as possible for the pimp 3.0 generation.

    Thanks!



  • Awesome !! Thanks Melt !!



  • Funny question, where can I download PIMP OS 2.8 ? On my account, the only version I can download seems to be 2.6 .


  • Staff

    Well I found your order and fixed it for you just now. Refresh the page.

    For others, If you scroll through https://getpimp.org/home-landing/my-account/downloads/ and do not see it listed for some strange reason, then provide Order number and we can fix you right up. If you want to do so in private just jump on the Discord (discord.me/pimp) and we will help you out asap.

    Of course, this month we release miner.farm 3 and the downloads will be quick links right on your miner.farm account page in miner.farm 3, along with all your pimp keys and transaction history. Things are going to get a whole lot easier very soon. Thank you for supporting our work! :)


 



Want 10% more hash from your rigs?



We promise to keep your email safe and never spam you.



Copyright (c) 2012-2019 Portable Instant Mining Platform LLC. All rights Reserved.